Bug 65133 - Unresolved symbols from drivers/video in some configurations
Summary: Unresolved symbols from drivers/video in some configurations
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-17 23:00 UTC by Michal Jaegermann
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-17 23:01:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a patch to prevent unresolved fbgen_ symbols for vide drivers regardless of configuration (1.10 KB, patch)
2002-05-17 23:01 UTC, Michal Jaegermann
no flags Details | Diff

Description Michal Jaegermann 2002-05-17 23:00:01 UTC
Description of Problem:

There is a compilation issue in 'drivers/video'.  Namely 'fbgen.o' is
used by some other objects ('pm2fb.o', 'pm3fb.o', 'clgenfb.o',
'tridentfb.o', 'tgafb.o', 'stifb.o').  Now if at least one of these
"users" is configured as built-in, implying that fbgen.o will be compiled
as an integral part of a kernel, and some other(s) as modules then you
will see from 'depmod' complaints about unresolved symbols for functions
provided by fbgen.  This actually hits, for example, when one tries to
use a default configuration on Alpha with 'tgafb' built-in.

A fix is obvious.  Add missing EXPORT_SYMBOL(...) to 'fbgen.c' and
'fbgen.o' to a list of export-objs in drivers/video/Makefile.
Attached is a patch for 2.4.18-4 sources.

Comment 1 Michal Jaegermann 2002-05-17 23:01:29 UTC
Created attachment 57804 [details]
a patch to prevent unresolved fbgen_ symbols for vide drivers regardless of configuration

Comment 2 Arjan van de Ven 2002-05-28 11:32:38 UTC
patch added


Note You need to log in before you can comment on or make changes to this bug.